Skip to main content
GET
/
han
/
{id}
cURL
curl --request GET \
  --url https://api.ionelectricity.com/v2/han/{id}
{
  "id": "<string>",
  "createdAt": {},
  "updatedAt": {},
  "_version": 123,
  "_lastChangedAt": {},
  "locale": "<string>",
  "codename": "<string>",
  "isInitializing": true,
  "bleName": "<string>",
  "pin": "<string>",
  "macAddress": "<string>",
  "latitude": 123,
  "longitude": 123,
  "houseName": "<string>",
  "houseImageUrl": "<string>",
  "version": 123,
  "meter": {
    "id": "<string>",
    "createdAt": {},
    "updatedAt": {},
    "_version": 123,
    "_lastChangedAt": {},
    "isTriphase": true,
    "powerMax": 123,
    "version": 123,
    "_deleted": true
  },
  "instant": {
    "id": "<string>",
    "createdAt": {},
    "updatedAt": {},
    "_version": 123,
    "_lastChangedAt": {},
    "latestRecordDate": {},
    "latestRecords": {},
    "latestRecordsExport": {},
    "powerPhase1": 123,
    "powerPhase2": 123,
    "powerPhase3": 123,
    "currentPhase1": 123,
    "currentPhase2": 123,
    "currentPhase3": 123,
    "voltagePhase1": 123,
    "voltagePhase2": 123,
    "voltagePhase3": 123,
    "peakPower": 123,
    "peakCurrent": 123,
    "peakVoltage": 123,
    "hasPowerCut": true,
    "activeCyclePeriod": 123,
    "predictedPowerCutTime": {},
    "version": 123,
    "_deleted": true
  },
  "tariff": {
    "id": "<string>",
    "createdAt": {},
    "updatedAt": {},
    "_version": 123,
    "_lastChangedAt": {},
    "tariffPrices": {},
    "activeTariffSchedule": 123,
    "activeCycleSchedule": 123,
    "bestTariffSchedule": 123,
    "bestCycleSchedule": 123,
    "isGreen": true,
    "version": 123,
    "_deleted": true
  },
  "consumption": {
    "id": "<string>",
    "createdAt": {},
    "updatedAt": {},
    "_version": 123,
    "_lastChangedAt": {},
    "consumptionData": {},
    "consumptionByCyclePeriod": {},
    "averageConsumption": {},
    "targetConsumptionMonth": 123,
    "annualConsumptionDailyCycleSchedule": {},
    "annualConsumptionWeeklyCycleSchedule": {},
    "carbonEmissions24h": 123,
    "version": 123,
    "_deleted": true
  },
  "cost": {
    "id": "<string>",
    "createdAt": {},
    "updatedAt": {},
    "_version": 123,
    "_lastChangedAt": {},
    "costData": {},
    "averageCost": {},
    "version": 123,
    "_deleted": true
  },
  "simulation": {
    "id": "<string>",
    "createdAt": {},
    "updatedAt": {},
    "_version": 123,
    "_lastChangedAt": {},
    "costMonth": {},
    "version": 123,
    "_deleted": true
  },
  "_deleted": true
}

Path Parameters

id
string
required

Response

200 - application/json
id
string
required
createdAt
object
required
updatedAt
object
required
_version
integer<int32>
required
_lastChangedAt
object
required
locale
string
codename
string
isInitializing
boolean
bleName
string
pin
string
macAddress
string
latitude
number<float>
longitude
number<float>
houseName
string
houseImageUrl
string
version
integer<int32>
meter
object
instant
object
tariff
object
consumption
object
cost
object
simulation
object
_deleted
boolean